Subversion Repositories pyscrabble

Compare Revisions

Ignore whitespace Rev 2 → Rev 3

/trunk/debian/pyscrabble-server.init
8,10 → 8,6
# Short-Description: PyScrabble server
# Description: Controls the PyScrabble server
### END INIT INFO
#
# Author: Will Gray <graywh@gmail.com>
# Version: 1
#
 
set -e
 
26,21 → 22,26
# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0
 
. /lib/lsb/init-functions
 
USER="pyscrabble"
 
# Read config file if it is present.
if [ -r /etc/default/$NAME2 ]
then
if [ -r /etc/default/$NAME2 ]; then
. /etc/default/$NAME2
fi
 
d_running() {
start-stop-daemon --stop --quiet --pidfile $PIDFILE \
--name $NAME --test > /dev/null
}
 
#
# Function that starts the daemon/service.
#
d_start() {
start-stop-daemon --start --quiet --background --make-pidfile --pidfile $PIDFILE \
--chuid "$USER" --exec $DAEMON \
|| echo -n " already running"
start-stop-daemon --start --oknodo --quiet --pidfile $PIDFILE --name $NAME \
--background --make-pidfile --chuid "$USER" --startas $DAEMON
}
 
#
47,22 → 48,28
# Function that stops the daemon/service.
#
d_stop() {
start-stop-daemon --stop --quiet --pidfile $PIDFILE \
--name $NAME \
|| echo -n " not running"
start-stop-daemon --stop --oknodo --quiet --pidfile $PIDFILE --name $NAME
rm -f $PIDFILE
}
 
case "$1" in
start)
echo -n "Starting $DESC: $NAME2"
d_start
echo "."
log_daemon_msg "Starting $DESC" "$NAME2"
if d_running; then
log_progress_msg "already running"
else
d_start;
fi
log_end_msg 0
;;
stop)
echo -n "Stopping $DESC: $NAME2"
d_stop
echo "."
log_daemon_msg "Stopping $DESC" "$NAME2"
if ! d_running; then
log_progress_msg "not running"
else
d_stop
fi
log_end_msg 0
;;
#reload)
#
83,7 → 90,7
# option to the "reload" entry above. If not, "force-reload" is
# just the same as "restart".
#
echo -n "Restarting $DESC: $NAME2"
log_daemon_msg "Restarting $DESC" "$NAME2"
d_stop
# One second might not be time enough for a daemon to stop,
# if this happens, d_start will fail (and dpkg will break if
92,8 → 99,12
# Notice that using --retry slows down the shutdown process somewhat.
sleep 1
d_start
echo "."
log_end_msg 0
;;
status)
d_running || status="not "
log_action_msg "Status of $DESC:" "${status}running"
;;
*)
# echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2